Subject: bug#67013: Default X cursor showing up in flatpak applications

From: Unstable Horse <[email-masked]>
Date: Thu, 09 Nov 2023 08:15:00 +0100

Hello,

I have noticed that in some applications I sometimes see the stock X
cursor instead of the one from Adwaita. So far I have only seen it in
some parts of electron applications installed via flatpak: when viewing
photos in Signal Desktop, or hovering over refs in Logseq. I think, the
specific cursor styles that are missing are "zoom in" and "zoom out".

I'm not sure if it's the fault of Flatpak, Electron or Guix, probably
some kind of integration issue between all these components. If I
install signal-desktop via nonguix, for example, all cursor icons work
correctly.